# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="BJosshlLid0~"
NOVELL_FILE32="iMan_27_linux.tgz"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2 rpm

MY_PV=$(replace_version_separator 2 '-')

DESCRIPTION="Novell iManager"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}
	http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/free/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="app-admin/novell-imanager"

RDEPEND=""

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/iManager/installs/linux/packages/imanager/rpms/${PN}-${MY_PV}.i386.rpm
}

src_compile() { :; }

src_install() {
	insinto /var/opt/novell/iManager/nps/packages
	doins "${WORKDIR}"/${PN}-${MY_PV}/var/opt/novell/tomcat5/webapps/nps/packages/*.*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}


