# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

MY_P="${P/_pre/-pre}"

inherit eutils mono cmake-utils java-pkg-2

HOMEPAGE="http://www.novell.com"
SRC_URI="http://ftp.mars.arge.at/n4g/${MY_P}.tar.bz2"
DESCRIPTION="Novell Common Authentication Service Adapter (CASA)"
KEYWORDS="~x86 ~amd64"
LICENSE="LGPL"
SLOT="0"

DEPEND="dev-lang/mono
	dev-dotnet/glade-sharp
	dev-dotnet/gtk-sharp
	app-crypt/mit-krb5
	gnome-base/gnome-keyring
	gnome-base/gnome-vfs
	>=virtual/jdk-1.5"
RDEPEND="dev-lang/mono
	dev-dotnet/glade-sharp
	dev-dotnet/gtk-sharp
	app-crypt/mit-krb5
	gnome-base/gnome-keyring
	gnome-base/gnome-vfs
	>=virtual/jre-1.5"

S="${WORKDIR}/${MY_P}"

mycmakeargs="-DSYSCONF_INSTALL_DIR=/etc
            -DLIBROOT_INSTALL_DIR=/$(get_libdir)"

src_prepare() {
	cp "${FILESDIR}"/*casa* micasad/startup  || die "Error applying patch"
}


src_compile() {
	cmake-utils_src_compile
}

src_install() {
	cmake-utils_src_install
}
